Subject: Re: [payload] #8: tx-mode: do we need this?

From: "Wang, Ye-Kui" <[email-masked]>
Date: Mon, 27 Jan 2014 23:35:05 +0000

[Sorry for late response. The past weeks were the MPEG, JCT-VC, JCT-3V, and 3GPP SA4 meetings - the authors have been very busy.]

I think you are right again. Once we require the support of both SST and MST, as we agreed earlier, the parameter tx-mode can indeed be removed. After its removal, control of the presence of the DONL field etc. can be solely controlled by sprop-depack-buf-nalus greater 0 or not (currently the presence is controlled by both tx-mode and whether sprop-depack-buf-nalus greater 0).

I will implement this change unless there is a good reason explained to keep the parameter.

BR, YK

-----Original Message-----
From: payload issue tracker [mailto:[email-masked]] 
Sent: Friday, December 27, 2013 2:40 PM
To: [email-masked]; [email-masked]
Cc: [email-masked]
Subject: [payload] #8: tx-mode: do we need this?

#8: tx-mode:  do we need this?

 Section 4.4

    The transmission mode is indicated by the tx-mode media parameter
    (see section 7.1).  If tx-mode is equal to "SST", SST MUST be used.
    Otherwise (tx-mode is equal to "MST"), MST MUST be used.

 Section 7.1

       tx-mode:

          This parameter indicates whether the transmission mode is SST
          or MST.

          The value of tx-mode MUST be equal to either "MST" or "SST".
          When not present, the value of tx-mode is inferred to be equal
          to "SST".

          If the value is equal to "MST", MST MUST be in use.  Otherwise
          (the value is equal to "SST"), SST MUST be in use.

          The value of tx-mode MUST be equal to "MST" for all RTP
          sessions in an MST.

 [BA] Is the tx-mode parameter needed?  If we negotiate transport  parameters in SDP (including potentially SSRCs, recv-appId and appId) and  require the receiver to be able to handle either MST or SST (perhaps with  some limits communicated), then the decision on whether to use MST or SST  can be left to the sender.

 In such a situation, SDP need not include a "tx-mode" parameter, except  perhaps as a preference that could be ignored, in which case the  "MUST"
 language would not make sense.

 Note that I'm still assuming that O/A could utilize RFC 5583 to describe  dependencies in MST (and utilize other parameters to describe SST  settings).

-- 
-------------------------------------+----------------------------------
-------------------------------------+---
 Reporter:                           |      Owner:  draft-ietf-payload-
  [email-masked]          |  [email-masked]
     Type:  defect                   |     Status:  new
 Priority:  major                    |  Milestone:  milestone1
Component:  rtp-h265                 |    Version:  1.0
 Severity:  Active WG Document       |   Keywords:
-------------------------------------+----------------------------------
-------------------------------------+---

Ticket URL: <http://trac.tools.ietf.org/wg/payload/trac/ticket/8>
payload <http://tools.ietf.org/payload/>